Retrieve an event

GET

/api/v1/events/{id}

Docs menu

One event, within 30 days of when it happened.

Key
Bearer key, test or live
Scope
read

Parameters

idstringrequired

The id of the event.

Response

200. The event.

idstring

evt_...

objectstring

event

typestring

See Events on the Webhooks page.

livemodeboolean
api_versionstring

v1

createdinteger

Unix time in seconds.

dataobject
Show child fields
objectobject

The object the event is about.

Errors

CodeStatusMeaning
missing_scope403The API key does not have the scope this endpoint needs.
not_found404No such object.

Any request can also fail with missing_api_key, invalid_api_key, api_key_revoked, rate_limited or internal_error. See Errors.

In test mode